﻿<Graph ClassName="PCProdAttribute" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Data.ReferentialIntegrity.Attributes;

namespace ReqQtyCalculator
{
    [Serializable]
    [PXCacheName("PCProdAttribute")]
    public class PCProdAttribute : IBqlTable
    {
        #region Keys
        public new class PK : PrimaryKeyOf<PCProdAttribute>.By<prodCalcID>
        {
            public static PCProdAttribute Find(PXGraph graph, string prodCalcID) => FindBy(graph, prodCalcID);
        }
        #endregion

        #region ProdCalcID
        [PXDBString(10, IsKey = true, IsUnicode = true, InputMask = ">CCCCCCCCCC")]
        [PXUIField(DisplayName = "Attribute ID")]
        [PXDefault]
        public virtual string ProdCalcID { get; set; }
        public abstract class prodCalcID : PX.Data.BQL.BqlString.Field<prodCalcID> { }
        #endregion

        #region Descr
        [PXDBString(50, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "Description")]
        [PXDefault]
        public virtual string Descr { get; set; }
        public abstract class descr : PX.Data.BQL.BqlString.Field<descr> { }
        #endregion

        #region IsActive
        [PXDBBool()]
        [PXDefault(true)]
        [PXUIField(DisplayName = "Active")]
        public virtual bool? IsActive { get; set; }
        public abstract class isActive : PX.Data.BQL.BqlBool.Field<isActive> { }
        #endregion

        #region Value
        [PXDecimal()]
        [PXUIField(DisplayName = "Value")]
        public virtual Decimal? Value { get; set; }
        public abstract class value : PX.Data.BQL.BqlDecimal.Field<value> { }
        #endregion

        #region IsActiveAnswer
        [PXBool()]
        [PXUIField(DisplayName = "Active")]
        public virtual bool? IsActiveAnswer { get; set; }
        public abstract class isActiveAnswer : PX.Data.BQL.BqlBool.Field<isActiveAnswer> { }
        #endregion

        #region SpecialValue
        [PXDBString(2, IsFixed = true)]
        [PXUIField(DisplayName = "Special Value")]
        [PCAttribute.PCAttributeSpecialValue.List]
        [PXDefault(PCAttribute.PCAttributeSpecialValue.None)]
        public virtual string SpecialValue { get; set; }
        public abstract class specialValue : PX.Data.BQL.BqlString.Field<specialValue> { }
        #endregion

        #region SpecialValueAnswer
        [PXString(2, IsFixed = true)]
        [PXUIField(DisplayName = "Special Value")]
        [PCAttribute.PCAttributeSpecialValue.List]
        [PXDefault(PCAttribute.PCAttributeSpecialValue.None, PersistingCheck = PXPersistingCheck.Nothing)]
        public virtual string SpecialValueAnswer { get; set; }
        public abstract class specialValueAnswer : PX.Data.BQL.BqlString.Field<specialValueAnswer> { }
        #endregion

        #region Tstamp
        [PXDBTimestamp()]
        [PXUIField(DisplayName = "Tstamp")]
        public virtual byte[] Tstamp { get; set; }
        public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
        #endregion

        #region CreatedByID
        [PXDBCreatedByID()]
        public virtual Guid? CreatedByID { get; set; }
        public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
        #endregion

        #region CreatedByScreenID
        [PXDBCreatedByScreenID()]
        public virtual string CreatedByScreenID { get; set; }
        public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
        #endregion

        #region CreatedDateTime
        [PXDBCreatedDateTime()]
        public virtual DateTime? CreatedDateTime { get; set; }
        public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
        #endregion

        #region LastModifiedByID
        [PXDBLastModifiedByID()]
        public virtual Guid? LastModifiedByID { get; set; }
        public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
        #endregion

        #region LastModifiedByScreenID
        [PXDBLastModifiedByScreenID()]
        public virtual string LastModifiedByScreenID { get; set; }
        public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
        #endregion

        #region LastModifiedDateTime
        [PXDBLastModifiedDateTime()]
        public virtual DateTime? LastModifiedDateTime { get; set; }
        public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
        #endregion
    }

    public class PCAttribute
    {
        public abstract class PCAttributeSpecialValue : IBqlField
        {
            public class ListAttribute : PXStringListAttribute
            {
                public ListAttribute()
                    : base(
                    new string[] { None, SalesOrderQty, ProdOrderQty },
                    new string[] { "Stock Item Value", "Sales Order Qty.", "Qty. to Produce" })
                { }
            }
            public const string SalesOrderQty = "SO";
            public const string ProdOrderQty = "PO";
            public const string None = "XX";

            public class salesOrderQty : Constant<string>
            {
                public salesOrderQty() : base(SalesOrderQty) { }
            }
            public class prodOrderQty : Constant<string>
            {
                public prodOrderQty() : base(ProdOrderQty) { }
            }
            public class none : Constant<string>
            {
                public none() : base(None) { }
            }
        }
    }
}]]></CDATA>
</Graph>